PCAP_FILE(3) | Library Functions Manual | PCAP_FILE(3)

# NAME

pcap_file - get the standard I/O stream for a savefile being read

# SYNOPSIS

    #include <pcap/pcap.h>

    FILE *pcap_file(pcap_t *p);

# DESCRIPTION

pcap_file() returns the standard I/O stream of the ``savefile,'' if a ``savefile'' was opened with pcap_open_offline(), or NULL, if a network device was opened with pcap_create() and pcap_activate(), or with pcap_open_live().

Note that the Packet Capture library is usually built with large file support, so the standard I/O stream of the ``savefile'' might refer to a file larger than 2 gigabytes; applications that use pcap_file() should, if possible, use calls that support large files on the return value of pcap_file() or the value returned by fileno() when passed the return value of pcap_file().

# SEE ALSO

pcap(3), pcap_open_offline(3)

3 January 2014 |